module.exports = {
  docsSidebar: [
    "index",
    { type: "autogenerated", dirName: "philosophy" },
    "policy-language",
    "policy-reference",
    "policy-testing",
    "policy-performance",
    { type: "autogenerated", dirName: "external-data" },
    "integration",
    "extensions",
    { type: "autogenerated", dirName: "debugging" },
    "rest-api",
    "cli",
    "editor-and-ide-support",
    "ir",
    "wasm",
    "v0-compatibility",
    { type: "autogenerated", dirName: "v0-upgrade" },
    { type: "html", value: "<hr>" },
    {
      type: "category",
      label: "Envoy",
      collapsible: true,
      collapsed: true,
      items: [
        { type: "autogenerated", dirName: "envoy" },
      ],
    },
    {
      type: "category",
      label: "Kubernetes",
      collapsible: true,
      collapsed: true,
      items: [
        { type: "autogenerated", dirName: "kubernetes" },
      ],
    },
    {
      type: "category",
      label: "Other Use Cases",
      collapsible: true,
      collapsed: true,
      items: [
        "aws-cloudformation-hooks",
        "docker-authorization",
        "http-api-authorization",
        "graphql-api-authorization",
        "kafka-authorization",
        "ssh-and-sudo-authorization",
        "terraform",
        "oauth-oidc",
      ],
    },
    { type: "html", value: "<hr>" },
    {
      type: "category",
      label: "Operations",
      collapsible: true,
      collapsed: true,
      items: [
        "configuration",
        "deployments",
        "monitoring",
        "security",
        "privacy",
        "storage",
      ],
    },
    {
      type: "category",
      label: "Management APIs",
      collapsible: true,
      collapsed: true,
      items: [
        { type: "autogenerated", dirName: "management-introduction" },
        { type: "autogenerated", dirName: "management-bundles" },
        "management-decision-logs",
        "management-status",
        "management-discovery",
      ],
    },
    {
      type: "category",
      label: "Contributing",
      collapsible: true,
      collapsed: true,
      items: [
        "contributing",
        "contrib-code",
        "contrib-docs",
        "contrib-development",
        "contrib-adding-builtin-functions",
      ],
    },
    {
      type: "link",
      label: "Documentation Archive",
      href: "/docs/archive",
    },
    "faq",
    "comparison-to-other-systems",
    {
      type: "link",
      label: "Enterprise Support",
      href: "/support",
    },
    {
      type: "link",
      label: "OPA Ecosystem",
      href: "/ecosystem",
    },
  ],
  rootSidebar: [],
};
